Summary: The Qt GUI application framework: Shared library
Name: qt
Version: 1.42
Release: 2
Group: X11/Libraries
Copyright: distributable
Url: http://www.troll.no
Vendor: Troll Tech
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.troll.no/qt/source/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%package devel
Summary: Include files and documentation needed to compile
Group: X11/Libraries

%description
Contains the shared library needed to run Qt applications, as well as
the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.


%prep
%setup -q


%build
export QTDIR=`pwd`
make linux-g++-shared
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
strip bin/moc
# Use "cp -a" here since symbolic links under lib need to be preserved
cp -a bin lib man $RPM_BUILD_ROOT/usr

mkdir $RPM_BUILD_ROOT/usr/lib/qt
# Use "cp -pr" here since referenced files rather than links under include
# should be copied
cp -pr doc examples extensions html include tutorial $RPM_BUILD_ROOT/usr/lib/qt

for a in `find $RPM_BUILD_ROOT/usr/lib/qt -name Makefile`; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= /usr/bin/moc-' < $a > ${a}.2
  mv -f ${a}.2 $a
done

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ANNOUNCE FAQ INSTALL LICENSE MANIFEST PORTING README README.QT changes-*
/usr/lib/libqt.so.*

%files devel
%defattr(-,root,root)
/usr/bin/*
/usr/man/man*/*
/usr/lib/libqt.so
/usr/lib/qt

%clean
rm -rf $RPM_BUILD_ROOT

